@font-face {
    font-family: "Poppins";
    src: url("../fonts/Poppins-Regular.woff2") format("woff2")
}

*, *::before, *::after {
    box-sizing: border-box;
}

:root {
    font-family: Poppins, sans-serif;
    font-size: 1rem;
    line-height: 1.6;
    scroll-behavior: smooth;
    --primary: oklch(0.3427 0.1 264.39);
    --text-color: oklch(0.99 0.003 325);
    --hover-color: oklch(0.7344 0.1 264.39);
}

body {
    margin: 0;
}

.container {
    max-width: 90rem;
    margin-inline: auto;
    padding-inline: 1rem;

    h2 {
        font-size: 1.5em;
        margin: 0.8em -.2em;
        line-height: 1;
    }
}

header {
    background-color: var(--primary);

    ul {
        margin: 0;
        padding: 1.2rem;
        list-style: none;
        display: block;
        margin-inline-start: -3rem;

        a {
            padding: 1rem 2rem;
            color: var(--text-color);
            text-decoration: none;
            transition: color .2s ease-in-out, color .1s ease-in-out;

            &:hover {
                color: var(--hover-color);
                transition: color .2s ease-in-out, color .1s ease-in-out;
            }
        }

    }
}

.p_thankyou {
    display: flex;
    justify-content: center;
    padding: 15rem;
}

label,
fieldset,
input[type=submit] {
    margin-block-start: 1.5rem;
    cursor: pointer;
}

input, fieldset, textarea, select {
    border: 1px solid #666;
    border-radius: .3rem;
}

input:not([type=radio]):not([type=checkbox]):not([type=submit]),
select,
textarea {
    display: block;
    width: 100%;
    max-width: 40rem;
    padding: 0 .75em;
    line-height: 2em;
}

input[type=submit] {
    margin-block-start: 1rem;
    margin-block-end: 2rem;
    padding: 0.7rem 1.4rem;
    border-radius: 8px;
    background-color: var(--primary);
    color: var(--text-color);
    transition: color .2s ease-in-out, color .1s ease-in-out;

    &:hover {
        color: var(--hover-color);
        transition: color .2s ease-in-out, color .1s ease-in-out;
    }
}

select {
    padding-block: .5em;
}

label {
    display: block;
    margin-block-end: .2em;
}

legend,
label {
    font-weight: bold;
}

legend {
    padding: 0 .2em;
}

input[type=radio] + label,
input[type=checkbox] + label {
    display: inline-block;
    margin: 0 0 .2em .4em;
    font-weight: normal;
}

fieldset {
    max-width: 40rem;
}

.message {
    font-size: 1rem;
}

.message.error {
    color: oklch(0.503 0.2013 29.64);
}

footer {
    padding-block-start: 0.5rem;
    background-color: var(--primary);
    color: var(--text-color);

    p {
        display: flex;
        justify-content: center;
        padding-block: 0.5rem;
        gap: 0.5rem;
        margin: 0;

        img {
            width: 1.8rem;
            transition: scale .2s ease-in-out, scale .1s ease-in-out;

            &:hover {
                scale: 1.1;
                transition: scale .2s ease-in-out, scale .1s ease-in-out;
            }
        }

    }

}

@media (min-width: 45em) {
    .admin_color {
        background-color: oklch(0.503 0.2013 29.64);
    }

    header {
        background-color: var(--primary);

        ul {
            margin: 0;
            padding: 1.2rem;
            list-style: none;
            display: flex;
            flex-wrap: wrap;
            justify-content: flex-start;
            margin-inline-start: -3rem;

            li:first-child {
                margin-inline-end: auto;
            }

            a {
                padding: 1rem 2rem;
                color: var(--text-color);
                text-decoration: none;
                transition: color .2s ease-in-out, color .1s ease-in-out;

                &:hover {
                    color: var(--hover-color);
                    transition: color .2s ease-in-out, color .1s ease-in-out;
                }
            }

        }
    }

}